%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-walltime
Version:	0.1.1
Release:	1%{?dist}
URL:            https://github.com/mattermost/mattermost-plugin-walltime
Summary:	Plugin for Mattermost to convert time
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
go get -u -v github.com/pkg/errors
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-server
git clone https://github.com/mattermost/mattermost-webapp
git clone https://github.com/mattermost/mattermost-plugin-walltime


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
cd src/github.com/mattermost/mattermost-plugin-walltime
make


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins
cp -rv src/github.com/mattermost/mattermost-plugin-walltime/dist/com.mattermost.walltime-plugin/ %{buildroot}%{mattermost_home}/plugins/


%files
%{mattermost_home}/plugins/com.mattermost.walltime-plugin/plugin.json
%{mattermost_home}/plugins/com.mattermost.walltime-plugin/webapp/dist/main.js

%changelog
